## org.eclipse.emf.validation.model
Interface IClientSelector

    public interface IClientSelector

Interface of an object that knows how to match `EObject`s against a client context.

This interface is intended to be implemented by clients.

Method Summary
`boolean` `selects(Object object)` Queries whether I select the specified object, which indicates that it belongs to my client context.

Method Detail

### selects

    boolean selects(Object object)

  Queries whether I select the specified object, which indicates that it belongs to my client context.

  Parameters:
    `object` - a model element of some kind
  Returns:
    `true` if the `object` matches my client context; `false`, otherwise

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.